Subject: bug#11221: closed (Re: bug#11221: cua-mode activates the mark for shifted bindings)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 13 Apr 2012 13:37:03 +0000

Your bug report

#11221: cua-mode activates the mark for shifted bindings

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
11221: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11221
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#11221: cua-mode activates the mark for shifted bindings
From: Stefan Monnier <[email-masked]>
To: Kim Storm <[email-masked]>
Cc: Glenn Morris <[email-masked]>, [email-masked], Brian Tannahill <[email-masked]>
Date: Fri, 13 Apr 2012 09:35:22 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 24.2

> I haven't tried your patch thorughly, but it seems to work just fine, so
> let's go with it.

Thanks, installed,

        Stefan

Subject: Shift-select-mode has no effect
From: Brian Tannahill <[email-masked]>
To: [email-masked]
Date: Wed, 11 Apr 2012 11:02:38 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

From: [email-masked]
To: [email-masked]
Subject: 24.0.94; shift-select-mode has no effect
--text follows this line--
I'm experimenting with new bindings for basic movement in Emacs. Borrowing
from http://xahlee.org/emacs/emacs_useful_user_keybinding.html and
ErgoEmacs, this remapping works as expected:

(global-set-key (kbd "M-i")   'previous-line)
(global-set-key (kbd "M-k")   'next-line)
(global-set-key (kbd "M-j")   'backward-char)
(global-set-key (kbd "M-l")   'forward-char)

But defining a Shift-Alt combination gives an unwanted side-effect.

(global-set-key (kbd "M-I")   'cua-scroll-down)
(global-set-key (kbd "M-K")   'cua-scroll-up)
(global-set-key (kbd "M-J")   'backward-word)
(global-set-key (kbd "M-L")   'forward-word)

Running describe-key (C-h k) shows that the bindings were
successful. And these bindings move point as they should, but for some
reason it sets the mark at my original position, and gives me a
highlighted region as I move the point.

I tried setting shift-select-mode to nil.  This had no effect.

Also described at http://stackoverflow.com/questions/10106797.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
For information about debugging Emacs, please read the file
/usr/local/share/emacs/24.0.94/etc/DEBUG.

In GNU Emacs 24.0.94.1 (i686-pc-linux-gnu, GTK+ Version 2.24.10)
 of 2012-04-04 on b-l
Windowing system distributor `The X.Org Foundation', version 11.0.11200000
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Org

Minor modes in effect:
  ido-everywhere: t
  delete-selection-mode: t
  display-time-mode: t
  cua-mode: t
  bt-keys-minor-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  global-visual-line-mode: t
  visual-line-mode: t
  transient-mark-mode: t

Recent input:
C-8 M-k M-k M-k M-k M-k M-k M-k M-k M-k <return> M-i
* * SPC M-1 <return> <backspace> SPC 1 4 : 0 0 > SPC
SPC H a r i <backspace> <backspace> i r c u t C-x C-s
M-3 <down> <up> <M-next> <M-end> <help-echo> <help-echo>
<help-echo> M-x r e p o r t - e m a c s - b u g <r
eturn>

Recent messages:
Omitting...
Omitted 34 lines.
Omitting...
(Nothing to omit)
Omitting...
Omitted 1 line.
OVERVIEW
For information about GNU Emacs and the GNU system, type C-h C-a.
Saving file /home/brian/Org/projects.org...
Wrote /home/brian/Org/projects.org

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message rfc822 mml mml-sec
mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils
mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr
mail-utils cal-china lunar solar cal-dst cal-hebrew diary-lib
diary-loaddefs mule-util cal-move parse-time calfw-org calfw holidays
hol-loaddefs cl org-wl org-w3m org-vm org-rmail org-mhe org-mew org-irc
org-jsinfo org-infojs org-html format-spec org-exp ob-exp org-exp-blocks
org-agenda org-info org-gnus org-docview org-bibtex bibtex org-bbdb org
ob-emacs-lisp ob-tangle ob-ref ob-lob ob-table org-footnote org-src
ob-comint ob-keys ob ob-eval org-pcomplete pcomplete comint ansi-color
ring org-list org-faces org-compat org-entities org-macs noutline
outline cal-menu calendar cal-loaddefs byte-opt warnings bytecomp
byte-compile cconv macroexp advice help-fns advice-preload help-mode
view derived dired+ dired-x ediff-merg ediff-diff ediff-wind ediff-mult
ediff-help ediff-init ediff-util dired-aux dired regexp-opt easymenu ido
delsel time server cua-base easy-mmode edmacro kmacro time-date tooltip
ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd
fontset image fringe lisp-mode register page menu-bar rfn-eshadow timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
frame cham georgian utf-8-lang misc-lang vietnamese tibetan thai
tai-viet lao korean japanese hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese case-table epa-hook jka-cmpr-hook help
simple abbrev minibuffer loaddefs button faces cus-face files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
dbusbind dynamic-setting system-font-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty emacs)